# File rvsao/Fquot/info.x
# August 3, 1994
# By Gerard Kriss (June 1987), Johns Hopkins University
 
# INFO is called by the Fortran routine CHIPER in FQUOT to output
# intermediate results in the Chi-square fitting.  Additional
# information passed through "rvsao.com"
 
include	"rvsao.h"
 
procedure info (iter, ifact, a, chi, np)
 
int	iter		# The number of the current iteration
int	ifact		# The current Marquadt factor
int	np		# Current number of points in the fit
real	a[3]		# Array of fitted parameters
real	chi		# Current value of chi-square
 
int	i
 
include	"rvsao.com"
 
begin
 
	if (!(debug))		# Print intermediate results only in debug mode
	    return
 
	if (iter == 0) {
	    do i = 1, nlogfd {
		call fprintf(logfd[i], "Iter\tIfact\t  dbin\tln(sig)\t  gamm\t  Chi2 \t\t Npts\n\n")
		}
	    }
	do i = 1, nlogfd {
	    call fprintf(logfd[i], "%d\t%d\t%7.1f\t%7.2f\t%7.3f\t%8.2f\t%d\n")
		call pargi(iter)
		call pargi(ifact)
		call pargr(a[1])
		call pargr(a[2])
		call pargr(a[3])
		call pargr(chi)
		call pargi(np)
	    }
end
# Aug  3 1994	Change common and header from fquot to rvsao
