# SHDR - Spectrum header data structure

define	LEN_SHDR	208
define	LEN_SHDRS	79			# Length of strings

define	W0		Memd[P2D($1)]		# Starting wavelength
define	W1		Memd[P2D($1+2)]		# Ending wavelength
define	WP		Memd[P2D($1+4)]		# Wavelength increment per pixel
define	VEL		Memd[P2D($1+4)]		# Redshift velocity
define	SPECTRUM	Memc[P2C($1+8)]		# Spectrum image name
define	TITLE		Memc[P2C($1+48)]	# Title
define	LABEL		Memc[P2C($1+88)]	# Dispersion label
define	UNITS		Memc[P2C($1+128)]	# Dispersion units
define	IM		Memi[$1+168]		# IMIO pointer
define	MW		Memi[$1+169]		# MWCS pointer
define	CTLW		Memi[$1+170]		# MWCS logical -> world
define	CTWL		Memi[$1+171]		# MWCS world -> logical
define	CTLW1		Memi[$1+172]		# MWCS logical -> world
define	CTWL1		Memi[$1+173]		# MWCS world -> logical
define	UN		Memi[$1+174]		# UNITS pointer for SX
define	MWUN		Memi[$1+175]		# UNITS pointer of MWCS
define	FORMAT		Memi[$1+176]		# Spectrum format
define	NSUM		Memi[$1+177]		# Sum for TWODSPEC format
define	TYPE		Memi[$1+178]		# Spectrum type
define	AAXIS		Memi[$1+179]		# Aperture axis
define	DAXIS		Memi[$1+180]		# Logical dispersion axis
define	DAXISP		Memi[$1+181]		# Physical dispersion axis
define	NDIM		Memi[$1+182]		# Logical image dimension
define	INDEX1		Memi[$1+183]		# Logical image index
define	INDEX2		Memi[$1+184]		# Logical image index
define	PNDIM		Memi[$1+185]		# Physical (WCS) dimension
define	PINDEX1		Memi[$1+186]		# Physical image index
define	PINDEX2		Memi[$1+187]		# Physical image index
define	AP		Memi[$1+188]		# Aperture ID
define	BEAM		Memi[$1+189]		# Beam ID
define	APLOW		Memr[$1+190]		# Aperture lower limit
define	APHIGH		Memr[$1+191]		# Aperture lower limit
define	IT		Memr[$1+192]		# Integ. time
define	RA		Memr[$1+193]		# Right ascension
define	DEC		Memr[$1+194]		# Declination
define	UT		Memr[$1+195]		# Universal time
define	ST		Memr[$1+196]		# Siderial time
define	HA		Memr[$1+197]		# Hour angle
define	AM		Memr[$1+198]		# Airmass
define	DC		Memi[$1+199]		# Dispersion correction
define	EC		Memi[$1+200]		# Extinction correction
define	FC		Memi[$1+201]		# Flux calibration

define	SX		Memi[$1+202]		# Pointer to X values
define	SY		Memi[$1+203]		# Pointer to Y values
define	SN		Memi[$1+204]		# Number of pixels
define	NP1		Memi[$1+205]		# First logical pixel
define	NP2		Memi[$1+206]		# Last logical pixel

# Access modes for SHDR_OPEN
define	SHDATA		1	# Get header and pixel data
define	SHHDR		2	# Get header only

# Formats
define	MULTISPEC	1
define	ONEDSPEC	2
define	TWODSPEC	3

# Types
define	SKY		0
define	OBJECT		1
define	ARC		2
define	FLAT		3

# Dispersion correction
define	DCNO		-1
define	DCLINEAR	0
define	DCLOG		1
define	DCFUNC		2

# Extinction correction
define	ECNO		-1
define	ECYES		0

# Flux calibration
define	FCNO		-1
define	FCYES		0
